<div class="background">

  <div class="login-wrap">
    <div class="login-html">
      <input id="tab-1" type="radio" name="tab" class="sign-in" checked><label for="tab-1" class="tab">Sign In</label>
      <input id="tab-2" type="radio" name="tab" class="sign-up"><label for="tab-2" class="tab">Sign Up</label>
      <div class="login-form">
        <form #loginForm="ngForm">
          <div class="sign-in-htm">
            <div class="group">
              <label for="user" class="label">Username</label>
              <input id="user" type="text" class="input" name="username" [(ngModel)]="this.username" required>
            </div>
            <div class="group">
              <label for="pass" class="label">Password</label>
              <input id="pass" type="password" class="input" name="password" data-type="password"
                     [(ngModel)]="this.password" required>
            </div>

            <div class="group">
              <input type="submit" class="form-control btn btn-dark" (click)="login()" value="Sign In"
                     [disabled]="!loginForm.valid">
            </div>
          </div>
        </form>

        <form #SignUpForm="ngForm">
          <div class="sign-up-htm">

            <div class="row">
              <div class="reg">


                <div class="group">
                  <label for="firstName" class="label">First name</label>
                  <input id="firstName" type="text" name="firstname" class="input" [(ngModel)]="user.FirstName"  required>
                </div>
                <div class="group">
                  <label for="lastName" class="label">Last name</label>
                  <input id="lastName" type="text" name="lastname" class="input" [(ngModel)]="user.LastName"  required>
                </div>
                <div class="group">
                  <label for="newUser" class="label">Username</label>
                  <input id="newUser" type="text"  name="username" class="input" [(ngModel)]="user.Username"  required>
                </div>
              </div>
              <div class="reg">
                <div class="group">
                  <label for="newpass" class="label">Password</label>
                  <input id="newpass" type="password" name="password" class="input" data-type="password" [(ngModel)]="user.Password"  required>
                </div>
                <div class="group">
                  <label class="label">Gender</label>
                  <select name=polname class="input" name="gender" [(ngModel)]="pol"  required>
                    <option>Male</option>
                    <option>Female</option>
                  </select>
                </div>
              </div>


            </div>
            <div class="group">
              <input type="submit" (click)="register()" class="form-control btn btn-dark" value="Sign Up"   [disabled]="!SignUpForm.valid">
            </div>

          </div>
        </form>
      </div>
    </div>

  </div>
</div>
